package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.DeductReasonEnum;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/4/16 0016
 */
public class TeacherSalaryDeductReasonDto {

    private DeductReasonEnum deductReason;

    private String deductReasonMsg;

    private String deductReasonStrDesc;

    private BigDecimal amount;

    public TeacherSalaryDeductReasonDto(DeductReasonEnum deductReason, BigDecimal amount) {
        this.deductReason = deductReason;
        this.deductReasonMsg = deductReason.getMsg();
        this.deductReasonStrDesc = deductReason.getDesc();
        this.amount = amount.setScale(2, BigDecimal.ROUND_DOWN);
    }

    public DeductReasonEnum getDeductReason() {
        return deductReason;
    }

    public void setDeductReason(DeductReasonEnum deductReason) {
        this.deductReason = deductReason;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount.setScale(2, BigDecimal.ROUND_DOWN);
    }

    public String getDeductReasonMsg() {
        return deductReasonMsg;
    }

    public void setDeductReasonMsg(String deductReasonMsg) {
        this.deductReasonMsg = deductReasonMsg;
    }

    public String getDeductReasonStrDesc() {
        return deductReasonStrDesc;
    }

    public void setDeductReasonStrDesc(String deductReasonStrDesc) {
        this.deductReasonStrDesc = deductReasonStrDesc;
    }
}
